Package org.opentcs.access.to.order

# Class DestinationCreationTO

java.lang.Object
org.opentcs.access.to.CreationTO
org.opentcs.access.to.order.DestinationCreationTO

All Implemented Interfaces:
  `java.io.Serializable`

    public class DestinationCreationTO
    extends CreationTO
    implements java.io.Serializable

A transfer object describing a destination of a drive order.

See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DestinationCreationTO​(java.lang.String destLocationName, java.lang.String destOperation)` | Creates a new instance.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getDestLocationName()` | Returns the destination location (or point) name.
  `java.lang.String` | `getDestOperation()` | Returns the operation to be performed at the destination.
  `DestinationCreationTO` | `withDestLocationName​(java.lang.String desLocationName)` | Creates a copy of this object with the given destination location (or point) name.
  `DestinationCreationTO` | `withDestOperation​(java.lang.String destOperation)` | Creates a copy of this object with the given operation to be performed at the destination.
  `DestinationCreationTO` | `withName​(java.lang.String name)` | Creates a copy of this object with the given name.
  `DestinationCreationTO` | `withProperties​(java.util.Map<java.lang.String,​java.lang.String> properties)` | Creates a copy of this object with the given properties.
  `DestinationCreationTO` | `withProperty​(java.lang.String key, java.lang.String value)` | Creates a copy of this object and adds the given property.

  ### Methods inherited from class org.opentcs.access.to.CreationTO

  `getModifiableProperties, getName, getProperties, listWithAppendix, mapWithMapping, propertiesWith`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DestinationCreationTO

    public DestinationCreationTO​(@Nonnull java.lang.String destLocationName, @Nonnull java.lang.String destOperation)
    Creates a new instance.
    Parameters:
      `destLocationName` - The name of the destination location (or destination point).
      `destOperation` - The operation to be performed at the destination.

- ## Method Details

  - ### withName

    public DestinationCreationTO withName​(@Nonnull java.lang.String name)
    Creates a copy of this object with the given name.
    Overrides:
      `withName` in class `CreationTO`
    Parameters:
      `name` - the new name of the instance.
    Returns:
      A copy of this object, differing in the given value.

  - ### withProperties

    public DestinationCreationTO withProperties​(@Nonnull java.util.Map<java.lang.String,​java.lang.String> properties)
    Creates a copy of this object with the given properties.
    Overrides:
      `withProperties` in class `CreationTO`
    Parameters:
      `properties` - The new properties.
    Returns:
      A copy of this object, differing in the given value.

  - ### withProperty

    public DestinationCreationTO withProperty​(@Nonnull java.lang.String key, @Nonnull java.lang.String value)
    Creates a copy of this object and adds the given property. If value == null, then the key-value pair is removed from the properties.
    Overrides:
      `withProperty` in class `CreationTO`
    Parameters:
      `key` - the key.
      `value` - the value
    Returns:
      A copy of this object that either includes the given entry in it's current properties, if value != null or excludes the entry otherwise.

  - ### getDestLocationName

    @Nonnull public java.lang.String getDestLocationName()
    Returns the destination location (or point) name.
    Returns:
      The destination location (or point) name.

  - ### withDestLocationName

    public DestinationCreationTO withDestLocationName​(@Nonnull java.lang.String desLocationName)
    Creates a copy of this object with the given destination location (or point) name.
    Parameters:
      `desLocationName` - The destination location (or point) name.
    Returns:
      A copy of this object, differing in the given destination.

  - ### getDestOperation

    @Nonnull public java.lang.String getDestOperation()
    Returns the operation to be performed at the destination.
    Returns:
      The operation to be performed at the destination.

  - ### withDestOperation

    public DestinationCreationTO withDestOperation​(@Nonnull java.lang.String destOperation)
    Creates a copy of this object with the given operation to be performed at the destination.
    Parameters:
      `destOperation` - The operation.
    Returns:
      A copy of this object, differing in the given destination operation.